<detalle-cliente *ngIf="clienteSeleccionado" [cliente] ="clienteSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header">Productos</div>
  <div class="card-body text-primary">
    <h5 class="card-title">Listado de Productos</h5>
    <div class="my-2 text-left">
      <button   class="btn btn-rounded btn-primary" type="button" [routerLink]="['/productos/form']">
        Agregar Producto
      </button>
    </div>
    <div *ngIf="productos?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped" *ngIf="productos?.length>0">
      <thead>
        <tr>
          <!--th *ngIf="authService.hasRole('ROLE_USER')">#</th-->
          <th>Nombre</th>
          <th>Tipo</th>
          <th>Precio unidad</th>
          <th>Medida</th>
          <th>Existente</th>
          <th  >editar</th>
          <th  >eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let producto of productos">
          
          <td>{{ producto.nombre }}</td>
          <td>{{producto.tipo}}</td>
          <td>{{ producto.precio }}</td>
          <td>{{ producto.medida }}</td>
          <td>{{ producto.existente }}</td>
          <td  >
            <button type="button" name="editar" [routerLink]="['/productos/form', producto.id]" class="btn btn-primary btn-sm">editar</button>
          </td>
          <td  >
            <button type="button" name="eliminar" (click)='delete(producto)' class="btn btn-danger btn-sm">dar de baja</button>
          </td>
        </tr>
      </tbody>
    </table>
    <paginator-productos-nav *ngIf="paginador" [paginador]="paginador"></paginator-productos-nav>
  </div>
</div>